From aa47834fb2b1361b962a4079a2aff39a5a539207 Mon Sep 17 00:00:00 2001
From: jurgenhaas <juergen@paragon-es.de>
Date: Mon, 6 Jul 2020 18:13:52 +0200
Subject: [PATCH] Remove some empty lines Check for composer executable

---
 bin/prepareLocally.sh | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/bin/prepareLocally.sh b/bin/prepareLocally.sh
index 2fe5d5d..441aefe 100755
--- a/bin/prepareLocally.sh
+++ b/bin/prepareLocally.sh
@@ -1,5 +1,11 @@
 #!/bin/bash
 
+if ! command -v command &> /dev/null
+then
+  echo "Composer executable could not be found"
+  exit
+fi
+
 COMPOSER=composer.spoons.json
 export COMPOSER
 
@@ -7,9 +13,9 @@ echo -e "\n\n\nInstalling DrupalSpoons plugin"
 composer require --dev --no-interaction lakedrops/drupal-spoons:dev-master composer/installers:^1
 echo -e "\n\n\nPreparing $COMPOSER"
 composer drupalspoons:prepare
-echo -e "\n\n\nConfiguring project for local tests"
+echo -e "\nConfiguring project for local tests"
 composer drupalspoons:configure
-echo -e "\n\n\nInstalling dependencies"
+echo -e "\nInstalling dependencies"
 composer update --dev --no-interaction
 
 echo -e "\n\n\n===================================================="
-- 
GitLab